<?php
namespace Mirasvit\Seo\Controller\Adminhtml\System\Config\TrailingSlash\Apply;

/**
 * Interceptor class for @see \Mirasvit\Seo\Controller\Adminhtml\System\Config\TrailingSlash\Apply
 */
class Interceptor extends \Mirasvit\Seo\Controller\Adminhtml\System\Config\TrailingSlash\Apply implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\App\Action\Context $context, \Magento\Framework\Controller\Result\JsonFactory $resultJsonFactory, \Magento\Store\Model\StoreManagerInterface $storeManager, \Mirasvit\Seo\Service\TrailingSlashService $trailingSlashService)
    {
        $this->___init();
        parent::__construct($context, $resultJsonFactory, $storeManager, $trailingSlashService);
    }

    /**
     * {@inheritdoc}
     */
    public function execute() : \Magento\Framework\Controller\Result\Json
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
